fjåge
=====
**Framework for Java and Groovy Agents**

developed by [Mandar Chitre](http://www.chitre.net), [Acoustic Research Laboratory](http://www.arl.nus.edu.sg)

Introduction
------------

fjåge provides a **lightweight** and **easy-to-learn** framework for [agent-oriented software development](http://en.wikipedia.org/wiki/Agent-oriented_programming) in Java and Groovy. Although most of the functionality of the framework can be used in pure-Java projects, the adoption of Groovy in the project simplifies development immensely. Typically, initialization scripts, shell interaction and command scripts are written in Groovy. Agents and support classes may be written in Java or Groovy.

Key Features
------------

* Lightweight and fast
* Easy to learn, and rapid agent development cycle
* Agent development in Java or Groovy
* Interactive Groovy shell and scripting
* Easy switching between realtime operation and discrete event simulation

Documentation
-------------

* [Getting Started](http://org-arl.github.io/fjage/doc/html/quickstart.html)
* [Developer's Guide](http://org-arl.github.com/fjage/doc/html/)
* [API documentation](http://org-arl.github.com/fjage/javadoc/)

Support
-------

* [Project Home](http://github.com/org-arl/fjage)
* [Discussion Forum](http://groups.google.com/forum/#!forum/fjage-users)
* [Issue Tracking](http://github.com/org-arl/fjage/issues)

Binary Releases
---------------

* [fjage-1.3.2.jar](https://oss.sonatype.org/service/local/repositories/releases/content/com/github/org-arl/fjage/1.3.2/fjage-1.3.2.jar), released Oct 21, 2013 ([release notes](https://groups.google.com/forum/#!topic/fjage-users/RdAidaBDlNQ))
* [fjage-1.3.1.jar](https://oss.sonatype.org/service/local/repositories/releases/content/com/github/org-arl/fjage/1.3.1/fjage-1.3.1.jar), released Sep 1, 2013 ([release notes](https://groups.google.com/forum/#!topic/fjage-users/2M_FtV2zzRY))
* [fjage-1.3.jar](http://search.maven.org/remotecontent?filepath=com/github/org-arl/fjage/1.3/fjage-1.3.jar), released Aug 26, 2013 ([release notes](https://groups.google.com/forum/#!topic/fjage-users/dibfe8w2Ijk))
* [fjage-1.2.1.jar](http://search.maven.org/remotecontent?filepath=com/github/org-arl/fjage/1.2.1/fjage-1.2.1.jar), released May 29, 2013 ([release notes](https://groups.google.com/forum/#!topic/fjage-users/tw5Zf-7hil4))

**Maven Central dependency:**

    <dependency>
      <groupId>com.github.org-arl</groupId>
      <artifactId>fjage</artifactId>
      <version>1.3.2</version>
    </dependency>

License
-------

fjåge is licensed under the Simplified (3-clause) BSD license.  
See [LICENSE.txt](http://github.com/org-arl/fjage/blob/master/LICENSE.txt) for more details.
